-- Implicit Conversion 
CREATE TABLE implicitconversion 
  ( 
     col1 INT, 
     col2 NVARCHAR(20) 
  ) 

go 

-- prepare dummy table
INSERT INTO implicitconversion 
            (col1, 
             col2) 
VALUES     (1, 
            '1'), 
            (2, 
             '2'), 
            (3, 
             '4') 
go 

-- What is Explicit Conversion
SELECT * 
FROM   implicitconversion 
WHERE  col2 = 1 
go 

-- Is it still there??
SELECT * 
FROM   implicitconversion 
WHERE  col2 = '1' 

go 

-- and now??
SELECT * 
FROM   implicitconversion 
WHERE  col2 = N'1' 
